Page MenuHomePhabricator

NewPagesFeed in AFC mode shows each page 4 times when all four "predicted issues" checkboxes are checked
Closed, ResolvedPublic

Description

  1. Go to Special:NewPagesFeed on beta labs
  2. Set the mode to "Articles for Creation"
  3. Set filters to State: All, Predicted class: (none selected), Predicted issues: (all selected)
  4. Note that every page appears 4 times. Some older pages appear 3 times.

This only happens when all 4 predicted issues checkboxes are selected; it doesn't happen when selecting any combination of 3 checkboxes.

Event Timeline

Catrope created this task.Aug 8 2018, 9:21 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 8 2018, 9:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 451532 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Only join with ORES tables if we're filtering

https://gerrit.wikimedia.org/r/451532

SBisson claimed this task.Aug 8 2018, 9:35 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.

Change 451532 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Only join with ORES tables if we're filtering

https://gerrit.wikimedia.org/r/451532

Etonkovidova closed this task as Resolved.Aug 9 2018, 1:03 AM

Checked in betalabs.

Change 452852 had a related patch set uploaded (by Catrope; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.16] Only join with ORES tables if we're filtering

https://gerrit.wikimedia.org/r/452852

Change 452852 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.16] Only join with ORES tables if we're filtering

https://gerrit.wikimedia.org/r/452852

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-08-15T00:12:14Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.16/extensions/PageTriage/: SWAT: PageTriage fixes (T199357, T201812, T201560, T201373, T201253) (duration: 00m 51s)